#
# First attempt on a spec file
#
Summary: A software suite to control wireless LAN cards
Name: kwifimanager
Version: 1.0.1
Release: 1
Copyright: GPL
Group: System/GUI/KDE
Source: ftp://download.sourceforge.net/pub/sourceforge/kwifimanager/kwifimanager.tar.gz
URL: http://sourceforge.net/projects/kwifimanager
Packager: Stefan Winter <mail@stefan-winter.de>
Buildroot: /tmp/kwifimanager

%description
With the applications in the package you can monitor your wireless
LAN cards and modify their configuration. The package contains a
stand-alone application, a kicker applet and a control-center module
for KDE.

%prep
%setup
INSTDIR=`kde-config --prefix`
echo "$INSTDIR/lib/libkwifimanager_kickerapplet.la" >files.txt
echo "$INSTDIR/lib/libkwifimanager_kickerapplet.so.1.0.0" >>files.txt
echo "$INSTDIR/lib/libkwifimanager_kickerapplet.so.1" >>files.txt
echo "$INSTDIR/lib/libkwifimanager_kickerapplet.so" >>files.txt
echo "$INSTDIR/share/apps/kicker/applets/kwifimanager_kickerapplet.desktop" >>files.txt
echo "$INSTDIR/lib/libkcm_kwifimanager_kcmodule.la" >>files.txt
echo "$INSTDIR/lib/libkcm_kwifimanager_kcmodule.so.1.0.0" >>files.txt
echo "$INSTDIR/lib/libkcm_kwifimanager_kcmodule.so.1" >>files.txt
echo "$INSTDIR/lib/libkcm_kwifimanager_kcmodule.so" >>files.txt
echo "$INSTDIR/share/applnk/Settings/Network/kwifimanager_kcmodule.desktop" >>files.txt
echo "$INSTDIR/share/apps/kwifimanager/locations/DE_BW_Karlsruhe_University.loc" >>files.txt
echo "$INSTDIR/share/apps/kwifimanager/locations/NOWHERE.loc" >>files.txt
echo "$INSTDIR/bin/kwifimanager" >>files.txt
echo "$INSTDIR/share/applnk/Applications/kwifimanager.desktop" >>files.txt
echo "$INSTDIR/share/icons/locolor/32x32/apps/kwifimanager.png" >>files.txt
echo "$INSTDIR/share/icons/locolor/16x16/apps/kwifimanager.png" >>files.txt
echo "$INSTDIR/share/apps/kwifimanager/pics/ad_hoc.png" >>files.txt
echo "$INSTDIR/share/apps/kwifimanager/pics/all_alone.png" >>files.txt
echo "$INSTDIR/share/apps/kwifimanager/pics/ap_connect.png" >>files.txt
echo "$INSTDIR/share/apps/kwifimanager/pics/excellent.png" >>files.txt
echo "$INSTDIR/share/apps/kwifimanager/pics/good.png" >>files.txt
echo "$INSTDIR/share/apps/kwifimanager/pics/marginal.png" >>files.txt
echo "$INSTDIR/share/apps/kwifimanager/pics/no_card.png" >>files.txt
echo "$INSTDIR/share/apps/kwifimanager/pics/offline.png" >>files.txt
echo "$INSTDIR/share/apps/kwifimanager/pics/oor_down.png" >>files.txt
echo "$INSTDIR/share/apps/kwifimanager/pics/oor_minimum.png" >>files.txt
echo "$INSTDIR/share/locale/de/LC_MESSAGES/kwifimanager.mo" >>files.txt
echo "$INSTDIR/share/locale/fr/LC_MESSAGES/kwifimanager.mo" >>files.txt
echo "$INSTDIR/share/locale/ja/LC_MESSAGES/kwifimanager.mo" >>files.txt
echo "$INSTDIR/share/locale/it/LC_MESSAGES/kwifimanager.mo" >>files.txt
echo "$INSTDIR/share/doc/HTML/en/kwifimanager/index.docbook" >>files.txt
echo "$INSTDIR/share/doc/HTML/en/kwifimanager/index.cache.bz2" >>files.txt

%build
INSTDIR=`kde-config --prefix`
./configure --prefix=/tmp/kwifimanager/$INSTDIR
make

%install
make install

%post
if [ -d /usr/share/applnk-mdk ]; then ln -s `kde-config --prefix`/share/applnk/Settings/Network/kwifimanager_kcmodule.desktop /usr/share/applnk-mdk/Configuration/KDE/Network/kwifimanager_kcmodule.desktop; fi

%files -f files.txt
