#ifndef STUFF_H
#define STUFF_H

#include <qstring.h>
#include <qstringlist.h>
#include <arts/iomanager.h>
#include <arts/dispatcher.h>
#include "iwlib.h"


struct deviceinfo
  {
    int has_freq;
    float freq;
    int mode;
    int has_mode;
    int has_key;
    QString key;
    int key_size;
    int key_flags;
    QString essid;
    sockaddr ap_addr;
    QString ip_addr;
    iwparam bitrate;
    QString used_interface;
    int skfd;
    iw_quality qual;
    iwrange range;
    int has_range;
  };

struct statistical_data
{
  int sigLevel[240];
  int noiseLevel[240];
  int qual[240];
  int current;
};

#ifndef DONT_LOAD_ARTS

void sinus_wave (double frequency);

class MyTimeNotify:public
  Arts::TimeNotify
{
public:
  Arts::Dispatcher * test;
  MyTimeNotify (Arts::Dispatcher * siff)
  {
    test = siff;
  };
  void notifyTime ();
};

#endif


QString whois (char *MAC_ADR, QStringList APList);
int operator == (const deviceinfo & eins, const deviceinfo & zwei);

#endif /*  STUFF_H */
