/***************************************************************************
                          kwifimanager_kickerapplet.h  -  description
                             -------------------
    begin                : Mit Sep 26 14:58:20 CEST 2001
    copyright            : (C) 2001 by Stefan Winter
    email                : mail@stefan-winter.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KWIFIMANAGER_KICKERAPPLET_H
#define KWIFIMANAGER_KICKERAPPLET_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <kpanelapplet.h>
#include <qstring.h>
#include <qcheckbox.h>
#include <kconfig.h>

#include "myview.h"

int sockets_open (void);

class Kwifimanager_kickerapplet:public KPanelApplet
{
Q_OBJECT public:
    Kwifimanager_kickerapplet (const QString & configFile, Type t = Normal, int actions = 0, QWidget * parent = 0, const char *name = 0);
   ~Kwifimanager_kickerapplet ();
  int widthForHeight (int height) const;
  int heightForWidth (int width) const;
  void about ();
  void preferences ();
  bool allow_flashing_low, allow_flashing_crit, allow_flashing_dropped;

private:
    KConfig * ksConfig;
  myview *mainView;
  QCheckBox *flash_low, *flash_crit, *flash_dropped;
  int skfd;

  public slots:void saveChanges ();
  void launchKCModule ();
};

#endif
